Interface

NELSAS INTERFACE

This file explains briefly the meaning and function of NELSAS Interface controls.
For more details, and for description of NELSAS package, see the User's Guide.

Button functions:
- Select (Geometry File), Select (Loading File) and Recent 5 buttons display a dialog box for selecting files.
- Every other button launches a program, namely:
- INPUT, LOAD, and ITER are to be launched in this sequence. The user has to wait the termination of the previous program before launching the next one. Any of them can be re-run.
- All other programs run in a separate process, and can be launched concurrently.

The controls are grouped in the following groups:


Input

INPUT Group

Geometry File

Edit Box to input Geometry File specification (full path).
Geometry File contains geometrical and mechanical structure data.

Select

Displays the Open Dialog Box to select Geometry File.

Recent 5

Opens a dialog box to select Geometry File from the most recent 5 files used previously.

Preview

Launches PREVIEW - a simplified version of NGRAF - to preview the structure defined by the selected Geometry File.

Output File

Edit Box to input Output File specification (full path).
Default: Geometry File name + extension ".rez".

List Type

Combo Box allowing the selections:
- Short (default): produces the standard output.
- Complete: produces the standard output + topology list and direction cosines.

Output File Language

Combo Box allowing the selections for the output file language:

- English

- Romanian
The default is the last language used previously. For the first use, it defaults to English.

Notes:

  • Language setting has effect on output file language only if done before running INPUT.
  • The set language also serves as in use language for all post-processors.

INPUT Program

Launches INPUT to process data in Geometry File.

INPUT performs the following tasks:
- Echoes the inputted data and writes processed data to Output File.
- Produces error messages if there are errors in inputted data.
- Creates the work files needed for running LOAD and ITER: These file have un unformatted structure (extension = ".unf"), and are located in c:\Nelsas\work\name\ - where "name" is the name of Geometry File. See also LOAD.

Note: If NELSAS package is installed in another directory than c:\Nelsas, the above specification c:\Nelsas is replaced by Drive:\Installation_Directory.


Load

LOAD Group

Loading File

Edit Box to input/edit Loading File specification (full path).
Loading File contains loading cases data.
Default: Geometry File name + extension ".inc".

Select

Displays the Open dialog box to select Loading File.

LOAD Program

Launches LOAD to process data in Loading File.

LOAD performs the following tasks:
- Echoes the inputted data and writes processed data in Output File.
- Produces error messages if there are errors in inputted data.
- Creates loading work files needed for running ITER: These files are named "i.unf" where "i" is the loading case index, and are located in the following directory: c:\Nelsas\work\name\ - where "name" is the name of Geometry File. See also ITER.

Note: If NELSAS package is installed in another directory than c:\Nelsas, the above specification c:\Nelsas is replaced by Drive:\Installation_Directory.


Iter

ITER Group

Loading Case(s) List

Allows to select loading cases to be analyzed:
- Click to select/deselect a case.
- Multiple selections are allowed.

- The Check Box "All" allows selecting all loading cases.

ITER Program

Launches ITER to process the selected loading cases. For each selected case, except the first one, ITER queries for confirmation to run the case. The case is run if the user responds by "Yes" or, if there is no answer in 30 seconds.
A non-selected or skipped case, may be selected later and analyzed by running ITER again.

ITER is the core program performing the nonlinear static analysis of the structure.
The results are written to Output File, according to the printing code specified in Loading File.

ITER creates work files in the directory c:\Nelsas\work\name\ - where "name" is the name of Geometry File. These files are used by post processors.

If there is more than one loading case, before running a new case, ITER saves the work files in the directory c:\Nelsas\work\name\Casei - where "name" is the name of Geometry File, and "i" is the index of the current case.

Note: If NELSAS package is installed in another directory than c:\Nelsas, the above specification c:\Nelsas is replaced by Drive:\Installation_Directory.


Program Status and Sound

Program Status

List Box displaying the programs launched by Interface buttons.

  • INPUT, LOAD and ITER: launching & termination status are displayed.
  • The other programs run in separate processes: the launching status is displayed.
    Note that, these programs may continue their execution after the interface has been closed - see Exit .

Sound On/Off (Voice messages)

Check Box enabling/disabling voice messages.

At program start: the status is that used in the previous run. For the first run: unchecked.

Voice messages are associated to Welcome window, Exit, and Iter.


Create

CREATE Group

This group offers three programs to automatically create the needed input files.
All programs allow creation by loading an old file and modifying it or, by direct data input - for a new file.

Geometry File

Launches Create_GeometryFile to create the Geometry File.

Modular Structure

Launches MODULAR to create Geometry File for a modular structure. This one is defined by the base module, the number of modules, the expansion direction, and the expansion type (prismatic; pyramidal; pyramidal-2).

MODULAR divides the elements into three types, with respect to the expansion direction "dir", namely: Type 1(Longitudinal): elements that are parallel to "dir"; Type 2 (Transversal): elements perpendicular to "dir"; and, Type 3 (Diagonal): the other elements. MODULAR numbers the elements starting with the first type and, continuing with the second and the third type. The element cross-sectional area, for each type, is input data.

Finally, MODULAR writes Geometry File with dummy data for support nodes, units, and material properties. These ones have to be edited by the user, prior to use the file in INPUT program.

See for details, "Modular-Readme.txt" file in ..\Doc directory.

Loading File

Launches Create_LoadingFile to create the Loading File.


GRAPH

Structure Graph

Launches NGRAF to draw the structure graph. The structure is defined by its Geometry File, selected via a dialog box displayed by NGRAF.
The graph is drawn according to the settings allowed by NGRAF, namely: axis orientation, structure drawing, and font style. Zoom is allowed, either via node range specification, or by mouse selection of a graph area.


Post

POST Processors Group

MaxProcessor

Launches MaxProcessor program. This one allow to display - via three tab controls - the following quantities:
- Node displacement, along the coordinates axes: extreme displacement and, for a selected node, its displacements.
- Element stress/axial force: extreme stress and, for a selected element, its axial force and stress.
- Reactions in support nodes.

Displaced Structure Graph

Launches NGRAFU to draw the displaced structure graph, for a loading case. The case is defined by selecting the corresponding working directory, via the dialog box displayed by NGRAFU.
The graph is drawn according to the settings allowed by NGRAFU, namely: axis orientation, structure drawing, and font style. Zoom is allowed via mouse selection of a graph area.

Modular Processor

Launches ModularPost to process modular structures. This one has to be a modular structure (preferably, created by Modular program), or a “nearly modular” structure.

Four type of elements are defined with respect to the expansion direction "dir" (the arrow in the icon):

  • Type 1 (Longitudinal): edge elements in direction "dir";
  • Type 2 (Transversal): elements connecting main (edge) nodes, in module bases;
  • Type 3 (Longitudinal Diagonal): elements connecting nodes in two successive modules, that are not of Type 1;
  • Type 4 (Transversal Diagonal): elements connecting nodes in the cross-section, that are not of Type 2.

Element type names may be defined by the user.

The program defines the structure "paths", as element sequences, namely: for longitudinal elements - the path is an edge; for the other elements, the path is a structure face. The program builds the files containing the axial force of elements belonging to a path. Next, these files are used by Diagrams program - see below.

Diagrams

Draws the axial force diagrams for a sequence of elements defined by the files created by Modular Processor. These ones are the input files for Diagrams.


Text

TEXT Processors Group

File

The list box allows to select a file to be viewed or edited, from the following items:
- Geometry File
- Loading File
- Output file
- New File
A double-click on an item is equivalent to pushing View/Edit button - see below.

View / Edit

Launches NOTEPAD to open the file selected in the list File.

Print

Launches WinPrint, to print the selected file. The Printing dialog box is displayed.

User's Guide

Launches WinWord and opens the User's Guide: this is ”Nelsas-xx.doc" file, located in "c:\Nelsas\Doc\", where "xx" stands for "ro" or "en", for the Romanian or English edition, respectively.
The edition is commanded by the language selection in Output File Language combo box.
If the wanted edition is not available, a message box proposes to open the existing edition.
If both editions are missing from "c:\Nelsas\Doc" directory: Nelsas displays a warning message inviting the user to locate himself the file and, opens WinWord with a blank document.

Note: If NELSAS package is installed in another directory than c:\Nelsas, the above specification c:\Nelsas is replaced by Drive:\Installation_Directory.


Help, About & Exit

Help, About and EXIT

Help

Displays the Help file.

About

Displays information about NELSAS package.

EXIT

Exits NELSAS execution.
If some programs launched by the interface are still running, NELSAS asks for their termination. If the user responds "No", programs closing is at user's charge.